

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.25.17. grn_inspect &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.25.18. grn_match_escalation" href="grn_match_escalation.html" />
    <link rel="prev" title="7.25.16. grn_info" href="grn_info.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/api/grn_inspect.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="grn_match_escalation.html" title="7.25.18. grn_match_escalation"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="grn_info.html" title="7.25.16. grn_info"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" accesskey="U"><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.17. </span><code class="docutils literal notranslate"><span class="pre">grn_inspect</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grn-inspect">
<h1><span class="section-number">7.25.17. </span><code class="docutils literal notranslate"><span class="pre">grn_inspect</span></code><a class="headerlink" href="#grn-inspect" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.25.17.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj"><code class="xref c c-type docutils literal notranslate"><span class="pre">grn_obj</span></code></a> を調べるには2種類の関数があります。1つは <code class="docutils literal notranslate"><span class="pre">grn_inspect</span></code> 関数で、もう1つは <code class="docutils literal notranslate"><span class="pre">grn_p</span></code> 関数です。</p>
<p><code class="docutils literal notranslate"><span class="pre">grn_inspect</span></code> 系の関数のリストは次の通りです。調査したオブジェクトの内容を指定したオブジェクトに設定します。</p>
<ul class="simple">
<li><p><a class="reference internal" href="#c.grn_inspect" title="grn_inspect"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_inspect()</span></code></a></p></li>
<li><p><a class="reference internal" href="#c.grn_inspect_indented" title="grn_inspect_indented"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_inspect_indented()</span></code></a></p></li>
<li><p><a class="reference internal" href="#c.grn_inspect_limited" title="grn_inspect_limited"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_inspect_limited()</span></code></a></p></li>
<li><p><a class="reference internal" href="#c.grn_inspect_name" title="grn_inspect_name"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_inspect_name()</span></code></a></p></li>
<li><p><a class="reference internal" href="#c.grn_inspect_encoding" title="grn_inspect_encoding"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_inspect_encoding()</span></code></a></p></li>
<li><p><a class="reference internal" href="#c.grn_inspect_type" title="grn_inspect_type"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_inspect_type()</span></code></a></p></li>
<li><p><a class="reference internal" href="#c.grn_inspect_query_log_flags" title="grn_inspect_query_log_flags"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_inspect_query_log_flags()</span></code></a></p></li>
</ul>
<p><code class="docutils literal notranslate"><span class="pre">grn_p</span></code> 系の関数のリストは次の通りです。調査したオブジェクトの内容をコンソールに出力します。</p>
<ul class="simple">
<li><p><a class="reference internal" href="#c.grn_p" title="grn_p"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_p()</span></code></a></p></li>
<li><p><a class="reference internal" href="#c.grn_p_geo_point" title="grn_p_geo_point"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_p_geo_point()</span></code></a></p></li>
<li><p><a class="reference internal" href="#c.grn_p_ii_values" title="grn_p_ii_values"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_p_ii_values()</span></code></a></p></li>
</ul>
</div>
<div class="section" id="example">
<h2><span class="section-number">7.25.17.2. </span>例<a class="headerlink" href="#example" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>以下はオブジェクトを調査する例です。</p>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="n">buffer</span><span class="p">;</span>
<span class="n">GRN_TEXT_INIT</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="mi">0</span><span class="p">);</span>
<span class="n">grn_inspect</span><span class="p">(</span><span class="o">&amp;</span><span class="n">context</span><span class="p">,</span> <span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="n">obj</span><span class="p">);</span>
<span class="cm">/* equivalent to grn_p(ctx, obj); */</span>
<span class="n">printf</span><span class="p">(</span><span class="s">&quot;inspected: &lt;%.*s&gt;</span><span class="se">\n</span><span class="s">&quot;</span><span class="p">,</span> <span class="p">(</span><span class="kt">int</span><span class="p">)</span><span class="n">GRN_TEXT_LEN</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">),</span> <span class="n">GRN_TEXT_VALUE</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">));</span>
</pre></div>
</div>
</div>
<div class="section" id="reference">
<h2><span class="section-number">7.25.17.3. </span>リファレンス<a class="headerlink" href="#reference" title="このヘッドラインへのパーマリンク">¶</a></h2>
<dl class="c function">
<dt id="c.grn_inspect">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_inspect</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>buffer</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_inspect" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><div class="versionadded">
<p><span class="versionmodified added">バージョン 4.0.8 で追加.</span></p>
</div>
<p>指定した <code class="docutils literal notranslate"><span class="pre">obj</span></code> オブジェクトを調査します。</p>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p><code class="docutils literal notranslate"><span class="pre">TABLE_PAT_KEY</span></code> なテーブルが指定された場合、すべてのキーが表示されます。この挙動が望ましくない場合、 <a class="reference internal" href="#c.grn_inspect_limited" title="grn_inspect_limited"><code class="xref c c-func docutils literal notranslate"><span class="pre">grn_inspect_limited()</span></code></a> をかわりに使ってください。</p>
</div>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ctx</strong> -- その時点のコンテキスト。</p></li>
<li><p><strong>buffer</strong> -- 調査した内容が保存されるオブジェクト</p></li>
<li><p><strong>obj</strong> -- 対象のオブジェクト</p></li>
</ul>
</dd>
<dt class="field-even">戻り値</dt>
<dd class="field-even"><p>調査した内容が設定される <code class="docutils literal notranslate"><span class="pre">buffer</span></code> オブジェクト</p>
</dd>
</dl>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="n">buffer</span><span class="p">;</span>
<span class="n">GRN_TEXT_INIT</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="mi">0</span><span class="p">);</span>
<span class="n">grn_inspect</span><span class="p">(</span><span class="o">&amp;</span><span class="n">context</span><span class="p">,</span> <span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="n">obj</span><span class="p">);</span>
<span class="n">printf</span><span class="p">(</span><span class="s">&quot;%.*s</span><span class="se">\n</span><span class="s">&quot;</span><span class="p">,</span> <span class="p">(</span><span class="kt">int</span><span class="p">)</span><span class="n">GRN_TEXT_LEN</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">),</span> <span class="n">GRN_TEXT_VALUE</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">));</span>
</pre></div>
</div>
<p>もし <code class="docutils literal notranslate"><span class="pre">obj</span></code> が <code class="docutils literal notranslate"><span class="pre">TABLE_PAT_KEY</span></code> なテーブルであれば、次のように表示されます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>#&lt;table:pat Users key:ShortText value:(nil) size:7 columns:[] default_tokenizer:(nil) normalizer:(nil) keys:[&quot;a&quot;, &quot;b&quot;, &quot;c&quot;, &quot;d&quot;, &quot;e&quot;, &quot;f&quot;, &quot;g&quot;] subrec:none nodes:{
4{0,5,0}
  L:2{0,6,0}
    L:1{0,7,0}
      L:0{0,0,0}
      R:1{0,7,0}(&quot;a&quot;)[01100001]
...
</pre></div>
</div>
</dd></dl>

<dl class="c function">
<dt id="c.grn_inspect_indented">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_inspect_indented</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>buffer</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em>, <em class="property">const</em> char *<em>indent</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_inspect_indented" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><div class="versionadded">
<p><span class="versionmodified added">バージョン 4.0.8 で追加.</span></p>
</div>
<p>指定した <code class="docutils literal notranslate"><span class="pre">obj</span></code> オブジェクトを調査します。</p>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p><code class="docutils literal notranslate"><span class="pre">indent</span></code> は調査した内容が改行を含む場合に追加されます。(調査した内容のテキストは複数行で構成されている必要があります)</p>
</div>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ctx</strong> -- その時点のコンテキスト。</p></li>
<li><p><strong>buffer</strong> -- 調査した内容が保存されるオブジェクト</p></li>
<li><p><strong>obj</strong> -- 対象のオブジェクト</p></li>
<li><p><strong>indent</strong> -- 先頭に挿入されるインデント</p></li>
</ul>
</dd>
<dt class="field-even">戻り値</dt>
<dd class="field-even"><p>調査した内容がインデントとともに設定される <code class="docutils literal notranslate"><span class="pre">buffer</span></code> オブジェクト</p>
</dd>
</dl>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="n">buffer</span><span class="p">;</span>
<span class="n">GRN_TEXT_INIT</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="mi">0</span><span class="p">);</span>
<span class="n">grn_inspect_indented</span><span class="p">(</span><span class="o">&amp;</span><span class="n">context</span><span class="p">,</span> <span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="n">obj</span><span class="p">,</span> <span class="s">&quot;***&quot;</span><span class="p">);</span>
<span class="n">printf</span><span class="p">(</span><span class="s">&quot;%.*s</span><span class="se">\n</span><span class="s">&quot;</span><span class="p">,</span> <span class="p">(</span><span class="kt">int</span><span class="p">)</span><span class="n">GRN_TEXT_LEN</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">),</span> <span class="n">GRN_TEXT_VALUE</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">));</span>
</pre></div>
</div>
<p>もし <code class="docutils literal notranslate"><span class="pre">obj</span></code> が <code class="docutils literal notranslate"><span class="pre">TABLE_PAT_KEY</span></code> なテーブルであれば、次のように表示されます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>***#&lt;table:pat Users key:ShortText value:(nil) size:7 columns:[] default_tokenizer:(nil) normalizer:(nil) keys:[&quot;a&quot;, &quot;b&quot;, &quot;c&quot;, &quot;d&quot;, &quot;e&quot;, &quot;f&quot;, &quot;g&quot;] subrec:none nodes:{
***4{0,5,0}
***  L:2{0,6,0}
***    L:1{0,7,0}
***      L:0{0,0,0}
***      R:1{0,7,0}(&quot;a&quot;)[01100001]
...
</pre></div>
</div>
</dd></dl>

<dl class="c function">
<dt id="c.grn_inspect_limited">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_inspect_limited</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>buffer</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_inspect_limited" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><div class="versionadded">
<p><span class="versionmodified added">バージョン 7.0.0 で追加.</span></p>
</div>
<p>指定した <code class="docutils literal notranslate"><span class="pre">obj</span></code> オブジェクトを調査します。</p>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p>調査した内容が長い場合、切り詰められます。</p>
</div>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ctx</strong> -- その時点のコンテキスト。</p></li>
<li><p><strong>buffer</strong> -- 調査した内容が(切り詰められて)設定されるオブジェクト</p></li>
<li><p><strong>obj</strong> -- 対象のオブジェクト</p></li>
</ul>
</dd>
<dt class="field-even">戻り値</dt>
<dd class="field-even"><p>オブジェクトの詳細が設定される <code class="docutils literal notranslate"><span class="pre">buffer</span></code> オブジェクト。調査した内容が64文字よりも長い場合には、その内容は切り詰められます。そうでない場合調査した内容がそのまま設定されます。</p>
</dd>
</dl>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="n">buffer</span><span class="p">;</span>
<span class="n">GRN_TEXT_INIT</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="mi">0</span><span class="p">);</span>
<span class="n">grn_inspect</span><span class="p">(</span><span class="o">&amp;</span><span class="n">context</span><span class="p">,</span> <span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="n">obj</span><span class="p">);</span>
<span class="n">printf</span><span class="p">(</span><span class="s">&quot;#=&gt; %.*s</span><span class="se">\n</span><span class="s">&quot;</span><span class="p">,</span> <span class="p">(</span><span class="kt">int</span><span class="p">)</span><span class="n">GRN_TEXT_LEN</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">),</span> <span class="n">GRN_TEXT_VALUE</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">));</span>
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">TABLE_PAT_KEY</span></code> なテーブルであっても、切り詰められた内容は次のように表示されます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>#&lt;table:pat Users key:ShortText value:(nil) size:7 columns:[] de...(502)
</pre></div>
</div>
</dd></dl>

<dl class="c function">
<dt id="c.grn_inspect_name">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_inspect_name</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>buffer</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_inspect_name" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><div class="versionadded">
<p><span class="versionmodified added">バージョン 4.0.8 で追加.</span></p>
</div>
<p>指定した <code class="docutils literal notranslate"><span class="pre">obj</span></code> オブジェクトを調査します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ctx</strong> -- その時点のコンテキスト。</p></li>
<li><p><strong>buffer</strong> -- オブジェクト名が設定されるオブジェクト</p></li>
<li><p><strong>obj</strong> -- 対象のオブジェクト</p></li>
</ul>
</dd>
<dt class="field-even">戻り値</dt>
<dd class="field-even"><p>オブジェクトの名前が設定される <code class="docutils literal notranslate"><span class="pre">buffer</span></code> オブジェクト。指定したオブジェクトが無効な値であれば <code class="docutils literal notranslate"><span class="pre">(nil)</span></code> が設定され、内部で使用しているオブジェクトであれば <code class="docutils literal notranslate"><span class="pre">(anonymouse:</span> <span class="pre">ID)</span></code> が設定されます。</p>
</dd>
</dl>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="n">buffer</span><span class="p">;</span>
<span class="n">GRN_TEXT_INIT</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="mi">0</span><span class="p">);</span>
<span class="n">grn_inspect_name</span><span class="p">(</span><span class="o">&amp;</span><span class="n">context</span><span class="p">,</span> <span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="n">obj</span><span class="p">);</span>
<span class="n">printf</span><span class="p">(</span><span class="s">&quot;%.*s</span><span class="se">\n</span><span class="s">&quot;</span><span class="p">,</span> <span class="p">(</span><span class="kt">int</span><span class="p">)</span><span class="n">GRN_TEXT_LEN</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">),</span> <span class="n">GRN_TEXT_VALUE</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">));</span>
</pre></div>
</div>
<p>調査対象のオブジェクト名は次のように表示されます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>Users
</pre></div>
</div>
</dd></dl>

<dl class="c function">
<dt id="c.grn_inspect_encoding">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_inspect_encoding</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>buffer</em>, <a class="reference internal" href="grn_encoding.html#c.grn_encoding" title="grn_encoding">grn_encoding</a> <em>encoding</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_inspect_encoding" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><div class="versionadded">
<p><span class="versionmodified added">バージョン 4.0.8 で追加.</span></p>
</div>
<p>指定した <code class="docutils literal notranslate"><span class="pre">obj</span></code> オブジェクトを調査します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ctx</strong> -- その時点のコンテキスト。</p></li>
<li><p><strong>buffer</strong> -- エンコーディング名が設定されるオブジェクト</p></li>
<li><p><strong>encoding</strong> -- 調査対象のエンコーディング。エンコーディングは <code class="docutils literal notranslate"><span class="pre">GRN_ENC_DEFAULT</span></code>、 <code class="docutils literal notranslate"><span class="pre">GRN_ENC_NONE</span></code>、 <code class="docutils literal notranslate"><span class="pre">GRN_ENC_EUC_JP</span></code>、 <code class="docutils literal notranslate"><span class="pre">GRN_ENC_UTF8</span></code>、 <code class="docutils literal notranslate"><span class="pre">GRN_ENC_SJIS</span></code>、 <code class="docutils literal notranslate"><span class="pre">GRN_ENC_LATIN1</span></code>、 <code class="docutils literal notranslate"><span class="pre">GRN_ENC_KOI8R</span></code> のいずれかでなければなりません。</p></li>
</ul>
</dd>
<dt class="field-even">戻り値</dt>
<dd class="field-even"><p>エンコーディング名が設定される <code class="docutils literal notranslate"><span class="pre">buffer</span></code> オブジェクト。不正な <code class="docutils literal notranslate"><span class="pre">encoding</span></code> が渡された場合、 <code class="docutils literal notranslate"><span class="pre">(unknown:</span> <span class="pre">ENCODING)</span></code> が <code class="docutils literal notranslate"><span class="pre">buffer</span></code> に設定されます。</p>
</dd>
</dl>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="n">buffer</span><span class="p">;</span>
<span class="n">GRN_TEXT_INIT</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="mi">0</span><span class="p">);</span>
<span class="n">grn_inspect_encoding</span><span class="p">(</span><span class="o">&amp;</span><span class="n">context</span><span class="p">,</span> <span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="n">GRN_ENC_UTF8</span><span class="p">);</span>
<span class="n">printf</span><span class="p">(</span><span class="s">&quot;%.*s</span><span class="se">\n</span><span class="s">&quot;</span><span class="p">,</span> <span class="p">(</span><span class="kt">int</span><span class="p">)</span><span class="n">GRN_TEXT_LEN</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">),</span> <span class="n">GRN_TEXT_VALUE</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">));</span>
</pre></div>
</div>
<p>指定したエンコーディング名が次のように表示されます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>UTF-8
</pre></div>
</div>
</dd></dl>

<dl class="c function">
<dt id="c.grn_inspect_type">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_inspect_type</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>buffer</em>, unsigned char <em>type</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_inspect_type" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><div class="versionadded">
<p><span class="versionmodified added">バージョン 4.0.8 で追加.</span></p>
</div>
<p>指定した <code class="docutils literal notranslate"><span class="pre">obj</span></code> オブジェクトを調査します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ctx</strong> -- その時点のコンテキスト。</p></li>
<li><p><strong>buffer</strong> -- 型の名前が設定されるオブジェクト</p></li>
<li><p><strong>type</strong> -- 調査対象の型</p></li>
</ul>
</dd>
<dt class="field-even">戻り値</dt>
<dd class="field-even"><p>型の名前が設定される <code class="docutils literal notranslate"><span class="pre">buffer</span></code> オブジェクト。正しくない <code class="docutils literal notranslate"><span class="pre">type</span></code> が渡された場合、 <code class="docutils literal notranslate"><span class="pre">(unknown:</span> <span class="pre">TYPE_IN_HEX)</span></code> が <code class="docutils literal notranslate"><span class="pre">buffer</span></code> に設定されます。</p>
</dd>
</dl>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="n">buffer</span><span class="p">;</span>
<span class="n">GRN_TEXT_INIT</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="mi">0</span><span class="p">);</span>
<span class="n">grn_inspect_type</span><span class="p">(</span><span class="o">&amp;</span><span class="n">context</span><span class="p">,</span> <span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="n">obj</span><span class="o">-&gt;</span><span class="n">header</span><span class="p">.</span><span class="n">type</span><span class="p">);</span>
<span class="n">printf</span><span class="p">(</span><span class="s">&quot;#=&gt; %.*s</span><span class="se">\n</span><span class="s">&quot;</span><span class="p">,</span> <span class="p">(</span><span class="kt">int</span><span class="p">)</span><span class="n">GRN_TEXT_LEN</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">),</span> <span class="n">GRN_TEXT_VALUE</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">));</span>
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">obj</span></code> が組込の型の場合、型の名前は次のように表示されます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>GRN_TYPE
</pre></div>
</div>
</dd></dl>

<dl class="c function">
<dt id="c.grn_inspect_query_log_flags">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_inspect_query_log_flags</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>buffer</em>, unsigned int <em>flags</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_inspect_query_log_flags" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><div class="versionadded">
<p><span class="versionmodified added">バージョン 7.0.4 で追加.</span></p>
</div>
<p>指定した <code class="docutils literal notranslate"><span class="pre">flag</span></code> を調査します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ctx</strong> -- その時点のコンテキスト。</p></li>
<li><p><strong>buffer</strong> -- フラグの名前が設定されるオブジェクト</p></li>
<li><p><strong>flags</strong> -- 調査対象の型</p></li>
</ul>
</dd>
<dt class="field-even">戻り値</dt>
<dd class="field-even"><p>フラグの名前が設定される <code class="docutils literal notranslate"><span class="pre">buffer</span></code> オブジェクト。不正な <code class="docutils literal notranslate"><span class="pre">flags</span></code> が与えられた場合、空の文字列が <code class="docutils literal notranslate"><span class="pre">buffer</span></code> に設定されます。</p>
</dd>
</dl>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="n">buffer</span><span class="p">;</span>
<span class="n">GRN_TEXT_INIT</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="mi">0</span><span class="p">);</span>
<span class="kt">int</span> <span class="n">current_flags</span> <span class="o">=</span> <span class="n">grn_query_logger_get_flags</span><span class="p">(</span><span class="o">&amp;</span><span class="n">context</span><span class="p">);</span>
<span class="n">grn_inspect_query_log_flags</span><span class="p">(</span><span class="o">&amp;</span><span class="n">context</span><span class="p">,</span> <span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="n">current_flags</span><span class="p">);</span>
<span class="n">printf</span><span class="p">(</span><span class="s">&quot;%.*s</span><span class="se">\n</span><span class="s">&quot;</span><span class="p">,</span> <span class="p">(</span><span class="kt">int</span><span class="p">)</span><span class="n">GRN_TEXT_LEN</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">),</span> <span class="n">GRN_TEXT_VALUE</span><span class="p">(</span><span class="o">&amp;</span><span class="n">buffer</span><span class="p">));</span>
</pre></div>
</div>
<p>クエリーログのフラグは次のように表示されます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>COMMAND|RESULT_CODE|DESTINATION|CACHE|SIZE|SCORE
</pre></div>
</div>
</dd></dl>

<dl class="c function">
<dt id="c.grn_p">
void <code class="sig-name descname">grn_p</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_p" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><div class="versionadded">
<p><span class="versionmodified added">バージョン 4.0.8 で追加.</span></p>
</div>
<p>指定した <code class="docutils literal notranslate"><span class="pre">obj</span></code> を調査し、その内容を出力します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ctx</strong> -- その時点のコンテキスト。</p></li>
<li><p><strong>obj</strong> -- 対象のオブジェクト</p></li>
</ul>
</dd>
</dl>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_p</span><span class="p">(</span><span class="o">&amp;</span><span class="n">context</span><span class="p">,</span> <span class="o">&amp;</span><span class="n">buffer</span><span class="p">,</span> <span class="n">obj</span><span class="p">);</span>
</pre></div>
</div>
<p>オブジェクトが <code class="docutils literal notranslate"><span class="pre">ShortText</span></code> なら次のように表示されます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>#&lt;type ShortText size:4096 type:var_size&gt;
</pre></div>
</div>
</dd></dl>

<dl class="c function">
<dt id="c.grn_p_geo_point">
void <code class="sig-name descname">grn_p_geo_point</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_geo.html#c.grn_geo_point" title="grn_geo_point">grn_geo_point</a> *<em>point</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_p_geo_point" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><div class="versionadded">
<p><span class="versionmodified added">バージョン 4.0.8 で追加.</span></p>
</div>
<p>指定した <code class="docutils literal notranslate"><span class="pre">obj</span></code> を調査し、geo pointの内容を出力します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ctx</strong> -- その時点のコンテキスト。</p></li>
<li><p><strong>point</strong> -- 対象のオブジェクト</p></li>
</ul>
</dd>
</dl>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_obj</span> <span class="n">point</span><span class="p">;</span>
<span class="kt">int</span> <span class="n">latitude</span> <span class="o">=</span> <span class="p">((</span><span class="mi">40</span> <span class="o">*</span> <span class="mi">60</span> <span class="o">*</span> <span class="mi">60</span><span class="p">)</span> <span class="o">+</span> <span class="p">(</span><span class="mi">42</span> <span class="o">*</span> <span class="mi">60</span><span class="p">)</span> <span class="o">+</span> <span class="mi">46</span><span class="p">)</span> <span class="o">*</span> <span class="mi">1000</span><span class="p">;</span>
<span class="kt">int</span> <span class="n">longitude</span> <span class="o">=</span> <span class="p">((</span><span class="o">-</span><span class="mi">74</span> <span class="o">*</span> <span class="mi">60</span> <span class="o">*</span> <span class="mi">60</span><span class="p">)</span> <span class="o">+</span> <span class="p">(</span><span class="mi">0</span> <span class="o">*</span> <span class="mi">60</span><span class="p">)</span> <span class="o">+</span> <span class="mi">22</span><span class="p">)</span> <span class="o">*</span> <span class="mi">1000</span><span class="p">;</span>
<span class="n">GRN_WGS84_GEO_POINT_INIT</span><span class="p">(</span><span class="o">&amp;</span><span class="n">point</span><span class="p">,</span> <span class="mi">0</span><span class="p">);</span>
<span class="n">GRN_GEO_POINT_SET</span><span class="p">(</span><span class="o">&amp;</span><span class="n">context</span><span class="p">,</span> <span class="o">&amp;</span><span class="n">point</span><span class="p">,</span> <span class="n">latitude</span><span class="p">,</span> <span class="n">longitude</span><span class="p">);</span>
<span class="n">grn_p_geo_point</span><span class="p">(</span><span class="o">&amp;</span><span class="n">context</span><span class="p">,</span> <span class="p">(</span><span class="n">grn_geo_point</span><span class="o">*</span><span class="p">)</span><span class="o">&amp;</span><span class="n">point</span><span class="p">);</span>
</pre></div>
</div>
<p>もし <code class="docutils literal notranslate"><span class="pre">point</span></code> がニューヨークを示す場合、次のように表示されます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[(524290,18) ((0, 8, 44, 290),(0, 0, 0, 18)) [00000000 00000000 00000000 10000000 00000000 00000000 00000001 00001100]]
</pre></div>
</div>
</dd></dl>

<dl class="c function">
<dt id="c.grn_p_ii_values">
void <code class="sig-name descname">grn_p_ii_values</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_p_ii_values" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><div class="versionadded">
<p><span class="versionmodified added">バージョン 4.0.8 で追加.</span></p>
</div>
<p>指定した <code class="docutils literal notranslate"><span class="pre">obj</span></code> を調査し、インデックスの値を出力します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ctx</strong> -- その時点のコンテキスト。</p></li>
<li><p><strong>obj</strong> -- 対象のオブジェクト</p></li>
</ul>
</dd>
</dl>
<div class="highlight-c notranslate"><div class="highlight"><pre><span></span><span class="n">grn_p_ii_values</span><span class="p">(</span><span class="o">&amp;</span><span class="n">context</span><span class="p">,</span> <span class="n">obj</span><span class="p">);</span>
</pre></div>
</div>
<p>もし <code class="docutils literal notranslate"><span class="pre">obj</span></code> がインデックスカラムの場合、次のように表示されます:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[
  #&lt;&quot;!&quot;
    elements:[
      {status:available, rid:1, sid:1, pos:0, tf:1, weight:0, rest:1},
      {status:available, rid:2, sid:1, pos:0, tf:1, weight:0, rest:1}
    ]
  &gt;,
  ...
</pre></div>
</div>
</dd></dl>

</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.25.17. <code class="docutils literal notranslate"><span class="pre">grn_inspect</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.25.17.1. 概要</a></li>
<li><a class="reference internal" href="#example">7.25.17.2. 例</a></li>
<li><a class="reference internal" href="#reference">7.25.17.3. リファレンス</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="grn_info.html"
                        title="前の章へ"><span class="section-number">7.25.16. </span><code class="docutils literal notranslate"><span class="pre">grn_info</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="grn_match_escalation.html"
                        title="次の章へ"><span class="section-number">7.25.18. </span><code class="docutils literal notranslate"><span class="pre">grn_match_escalation</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="grn_match_escalation.html" title="7.25.18. grn_match_escalation"
             >次へ</a> |</li>
        <li class="right" >
          <a href="grn_info.html" title="7.25.16. grn_info"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" ><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.17. </span><code class="docutils literal notranslate"><span class="pre">grn_inspect</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>